Summary: Compatibility libraries for old applications which use a.out.
Name: aout-libs
Version: 1.4
Release: 10
Exclusivearch: i386
Exclusiveos: Linux
Copyright: distributable
Group: System Environment/Libraries
Source0: aout.sources.tar.gz
Source1: libc-4.7.2.tar.gz
Autoreqprov: no
Buildroot: /var/tmp/aout-lib-root
Prereq: /sbin/ldconfig grep fileutils 

%description
Old Linux systems (pre-libc 5) used the a.out format for programs and
shared libraries (newer Linux systems use the ELF format).  To be able
to run old a.out format programs, you'll need to have the a.out format
libraries installed.  With aout-libs installed, you should be able to run
most a.out format programs in text, X, and SVGAlib modes. You need to
install aout-libs only if you plan to run older versions of programs
which use the a.out format.

%prep
%setup -q -n aout

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/i486-linuxaout/lib
for n in *; do
    install -m 755 $n $RPM_BUILD_ROOT/usr/i486-linuxaout/lib
done
if ! grep '^/usr/i486-linuxaout/lib$' /etc/ld.so.conf > /dev/null; then
    echo "/usr/i486-linuxaout/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

cd $RPM_BUILD_ROOT/usr/
ln -sf X11R6 X11
ln -sf X11R6 X386

%post
if ! grep '^/usr/i486-linuxaout/lib$' /etc/ld.so.conf > /dev/null; then
    echo "/usr/i486-linuxaout/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ "$1" = '0' ]; then
    grep -v '^"/usr/i486-linuxaout/lib$' < /etc/ld.so.conf > /tmp/new.ld.so.conf
    cp /tmp/new.ld.so.conf /etc/ld.so.conf
fi
/sbin/ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/i486-linuxaout/lib
/usr/X11
/usr/X386

%changelog
* Tue Feb 02 1999 Michael Maher <mike@redhat.com>
- built package for powertools, removed from distribution
- added build root

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- built for glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- added prereqs for scripts

